Stream EstateStream Estate
AccountEvent Destinations

Create an event destination

Create an event destination

POST
/account/event-destinations
X-API-KEY<token>

Value for the X-API-KEY header parameter.

In: header

Request Body

The new EventDestination resource

Response Body

curl -X POST "https://example.com/account/event-destinations" \  -H "Content-Type: application/json" \  -d '{}'
{  "url": "https://your-server.com/webhooks/stream",  "isDefault": true,  "status": "ACTIVE",  "signingKey": "whsec_abc123...",  "signingKeyHint": "b75b1473",  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",  "createdAt": "2026-01-15T10:30:00+00:00",  "updatedAt": "2026-05-20T14:45:00+00:00"}
Version 0.14.289Last updated